%undefine __cmake_in_source_build
%global framework kcodecs

Name:           kf5-%{framework}
Version:        5.115.0
Release:        1
Summary:        KDE Frameworks 5 Tier 1 addon with string manipulation methods

License:        CC0-1.0 AND GPL-2.0-or-later AND LGPL-2.0-only AND LGPL-2.0-or-later AND LGPL-2.1-or-later AND MIT AND MPL-1.1
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5

Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  gperf
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks 5 Tier 1 addon with string manipulation methods.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{framework}-%{version}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang_kf5 kcodecs5_qt

%ldconfig_scriptlets

%files -f kcodecs5_qt.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_libdir}/libKF5Codecs.so.*

%files devel
%{_kf5_includedir}/KCodecs/
%{_kf5_libdir}/libKF5Codecs.so
%{_kf5_libdir}/cmake/KF5Codecs/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCodecs.pri

%changelog
* Mon Mar 04 2024 huayadong <huayadong@kylinos.cn> - 5.115.0-1
- Update package to version 5.115.0

* Tue Jan 02 2024 haomimi <haomimi@uniontech.com> - 5.113.0-1
- Update to upstream version 5.113.0

* Thu Aug 03 2023 haomimi <haomimi@uniontech.com> - 5.108.0-1
- update verison to 5.108.0

* Fri Dec 09 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 5.100.0-1
- Update to upstream version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Mon Jul 04 2022 loong_C <loong_c@yeah.net> - 5.95.0-1
- update to upstream version 5.95.0

* Sat Feb 12 2022 tanyulong <tanyulong@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Thu Jan 13 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Mon Dec 12 2020 huanghaitao <huanghaitao8@huawei.com> - 5.55.0-2
- Remove the release suffix

* Thu Jul 23 2020 wangmian<wangmian@kylinos.cn> - 5.55.0-1
- Init kf5-kcodecs project
